Skip Menu |
 

This queue is for tickets about the Net-DNS-SEC CPAN distribution.

Report information
The Basics
Id: 124880
Status: resolved
Priority: 0/
Queue: Net-DNS-SEC

People
Owner: Nobody in particular
Requestors: g.grigelionis [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: 1.07



Subject: 1.06 will not install on macOS
Date: Fri, 23 Mar 2018 12:56:20 +0100
To: bug-Net-DNS-SEC [...] rt.cpan.org
From: Gintautas Grigelionis <g.grigelionis [...] gmail.com>
Download (untitled) / with headers
text/plain 545b
## ## The install location for this version of Net::DNS::SEC differs ## from the existing version 1.04 in your perl library. ## /Library/Perl/5.18/darwin-thread-multi-2level/Net/DNS/SEC.pm ## ## The installation will be rendered ineffective because the ## old version will be found on the library search path before ## /Library/Perl/5.18 ## ## Makefile has been generated to support build and test only. ## ... Running make install ## Makefile supports test build only ## (see message from Makefile.PL) make: *** [install] Error 1
From: rwfranks [...] acm.org
Download (untitled) / with headers
text/plain 329b
On Fri Mar 23 07:56:30 2018, g.grigelionis@gmail.com wrote: Good catch. Unfortunately, this is more widely applicable than just macOS. Makefile.PL does not know in advance that the build will be architecture sensitive, unless we told it so. s/INSTALLSITELIB/INSTALLSITEARCH/ at line 100 will allow installation to continue.
Fixed in 1.07


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.